ESEARCH(1)

NAME
esearch - search an NCBI Entrez database

SYNOPSIS
esearch (edirect -search) [-help] -db name -q[uery] str [-sort field] [-days N] [-datetype field] [-mindate date] [-maxdate date] [-field field] [-pairs field] [-spell]

DESCRIPTION
esearch searches an NCBI Entrez database for a given query. It has two implementations: a shell implementation on top of nquire(1) and a traditional Perl implementation that amounts to running edirect -search, enabled by setting the environment variable USE_NEW_EDIRECT to a false value as described in the ENVIRONMENT section. Some options are implementation-specific, as detailed below. In addition, the shell implementation accepts the full range of efilter(1) options, whereas the Perl implementation accepts only those specifically mentioned below.

OPTIONS

  Query Specification

-db name
    Entrez database name.

-q str (Perl implementation only)
-query str
    Query string.

  Document Order

-sort field
    Sort results by the given field.

  Date Constraint

-days N
    Return only results from the past N days.

-datetype field
    Which date field (in abbreviated form) to consider.

-mindate date
    Start of date range.

-maxdate date
    End of date range.

  Limit by Field

-field field (Perl implementation only)
    Query words individually in field.

-pairs field (Perl implementation only)
    Query overlapping word pairs.

  Spell Check

-spell
    Correct misspellings in query.

  Miscellaneous Arguments

-help
    Print usage information.

ENVIRONMENT

USE_NEW_EDIRECT
    Whether to use the current shell implementation or revert to the historical Perl implementation. Canonical true values are 1, on (case-insensitive), true (case-insensitive), and yes (case-insensitive); canonical false values are 0, off (case-insensitive), false (case-insensitive), and no (case-insensitive).

SEE ALSO
bt-srch(1), edirect(1), efetch(1), efilter(1), eproxy(1), espell(1), exclude-uid-lists(1), intersect-uid-lists(1), nquire(1), xplore(1).